From 378cd6e5cabcf9a5496284b0a4d6bf7b8372e11a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 29 2020 01:24:28 +0000
Subject: [PATCH 1842/2232] Update SharedPtr target type check


These types were implemented in #563.

---

diff --git a/syntax/check.rs b/syntax/check.rs
index f43c1e2..52ee693 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -139,12 +139,10 @@ fn check_type_shared_ptr(cx: &mut Check, ptr: &Ty1) {
         }
 
         match Atom::from(&ident.rust) {
-            None => return,
-            Some(CxxString) => {
-                cx.error(ptr, "std::shared_ptr<std::string> is not supported yet");
-                return;
-            }
-            _ => {}
+            None | Some(U8) | Some(U16) | Some(U32) | Some(U64) | Some(Usize) | Some(I8)
+            | Some(I16) | Some(I32) | Some(I64) | Some(Isize) | Some(F32) | Some(F64)
+            | Some(CxxString) => return,
+            Some(Bool) | Some(Char) | Some(RustString) => {}
         }
     } else if let Type::CxxVector(_) = &ptr.inner {
         cx.error(ptr, "std::shared_ptr<std::vector> is not supported yet");

